Bug 106860 - Update www/opera to version 9.10
Summary: Update www/opera to version 9.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-18 10:50 UTC by Arjan van Leeuwen
Modified: 2006-12-21 21:10 UTC (History)
0 users

See Also:


Attachments
file.shar (3.94 KB, text/plain)
2006-12-18 10:50 UTC, Arjan van Leeuwen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arjan van Leeuwen 2006-12-18 10:50:13 UTC

This patch updates Opera (www/opera) to version 9.1. This version includes:

- Support for using Linux plugins such as Flash and Acrobat Reader on FreeBSD
- New anti-fraud (anti-phishing) features

A new port is included (www/opera-linuxplugins) that can be installed when Linux plugin support is wanted.

Fix: 

--- opera-linuxplugins.sh ends here -----iPw7iK91hfq5BFA0ML6es3NywEgGms6qphICnOwvxRl0nYMH
Content-Type: text/plain; name="opera.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="opera.diff"

diff -urN /usr/ports/www/opera/Makefile opera/Makefile
--- /usr/ports/www/opera/Makefile	Fri Dec 15 12:58:52 2006
+++ opera/Makefile	Sun Dec 17 15:31:05 2006
@@ -28,11 +28,11 @@
 MAINTAINER=	freebsd-maintainer@opera.com
 COMMENT=	A blazingly fast, full-featured, standards-compliant browser
 
-OPERA_VER=	9.02
-OPERA_MINVER=	
+OPERA_VER=	9.10
+OPERA_MINVER=
 OPERA_REL=	final
-OPERA_DATE=	20060919
-OPERA_BUILD=	434
+OPERA_DATE=	20061214
+OPERA_BUILD=	521
 
 DATADIR=	${PREFIX}/share/${PORTNAME}
 DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}
@@ -48,7 +48,7 @@
 NO_FILTER_SHLIBS=yes
 
 OPTIONS=	ASPELL	"Use the aspell library for spell checking"	on \
-		SHARED	"Use a shared Qt library (instead of static)"	${QT_PRESENT}
+		SHARED	"Use a shared Qt library (instead of static)"	on
 
 .if exists(${X11BASE}/lib/libqt-mt.prl)
 QT_PRESENT=	on
@@ -124,8 +124,6 @@
 	@${INSTALL_DATA} ${WRKSRC}/symhack.so ${DATADIR}/
 .endif
 
-.if defined(WITHOUT_SHARED) && ${OSVERSION} >= 500000
 	@${CAT} ${PKGMESSAGE}
-.endif
 
 .include <bsd.port.post.mk>
diff -urN /usr/ports/www/opera/distinfo opera/distinfo
--- /usr/ports/www/opera/distinfo	Sun Sep 24 19:31:34 2006
+++ opera/distinfo	Sun Dec 17 13:50:23 2006
@@ -1,9 +1,9 @@
-MD5 (opera-9.02-20060919.1-static-qt.i386.freebsd-en.tar.bz2) = ad16b2895b4e4921935433d32a367a4f
-SHA256 (opera-9.02-20060919.1-static-qt.i386.freebsd-en.tar.bz2) = f89b245ac50c4e68863fda165fa1e174f0380181d31145d69ba155cd1006aca4
-SIZE (opera-9.02-20060919.1-static-qt.i386.freebsd-en.tar.bz2) = 6455356
-MD5 (opera-9.02-20060919.3-shared-qt.i386.freebsd-en.tar.bz2) = 337fe151ae68773d2c085de9d5f3bda3
-SHA256 (opera-9.02-20060919.3-shared-qt.i386.freebsd-en.tar.bz2) = 402aa4d30bbaf23b5d1ee15220bed9d8aaf0a7eb271e5eed67cbc6152fd3d061
-SIZE (opera-9.02-20060919.3-shared-qt.i386.freebsd-en.tar.bz2) = 5061149
-MD5 (opera-9.02-20060919.4-shared-qt.i386.freebsd-en.tar.bz2) = 5c6833af434acb16dc37fd59bbd5dd57
-SHA256 (opera-9.02-20060919.4-shared-qt.i386.freebsd-en.tar.bz2) = cf711c6aeeebdf03cc4891c8d1596f3a45e3545b2cf6b8d3752f449547a41e66
-SIZE (opera-9.02-20060919.4-shared-qt.i386.freebsd-en.tar.bz2) = 5057395
+MD5 (opera-9.10-20061214.1-static-qt.i386.freebsd-en.tar.bz2) = 72bcdaf0d674590e913ff85617a80726
+SHA256 (opera-9.10-20061214.1-static-qt.i386.freebsd-en.tar.bz2) = d9ef50faa78daa52f0c204b3e71620de439880b59279b573dd7dd727f2fbb377
+SIZE (opera-9.10-20061214.1-static-qt.i386.freebsd-en.tar.bz2) = 6469740
+MD5 (opera-9.10-20061214.3-shared-qt.i386.freebsd-en.tar.bz2) = 73a804205ec4df3cfeb2478281e8dff7
+SHA256 (opera-9.10-20061214.3-shared-qt.i386.freebsd-en.tar.bz2) = a7674a817c2448c4c9c7d2726ffeb8fd68fee5b61e2155d09dc9d7f817a19613
+SIZE (opera-9.10-20061214.3-shared-qt.i386.freebsd-en.tar.bz2) = 5070903
+MD5 (opera-9.10-20061214.4-shared-qt.i386.freebsd-en.tar.bz2) = fc6d9252233f784df8fe9957dce754ce
+SHA256 (opera-9.10-20061214.4-shared-qt.i386.freebsd-en.tar.bz2) = eef25201c0c45d6ff5eae4739844dc9ef624cea8d7e9f9809506a9789f2cb7e4
+SIZE (opera-9.10-20061214.4-shared-qt.i386.freebsd-en.tar.bz2) = 5070029
diff -urN /usr/ports/www/opera/files/patch-ini_pluginpath.ini opera/files/patch-ini_pluginpath.ini
--- /usr/ports/www/opera/files/patch-ini_pluginpath.ini	Fri Dec  8 20:57:24 2006
+++ opera/files/patch-ini_pluginpath.ini	Sun Dec 17 15:31:52 2006
@@ -1,6 +1,6 @@
---- ini/pluginpath.ini.orig	Tue Sep 19 19:09:09 2006
-+++ ini/pluginpath.ini	Fri Dec  8 22:38:49 2006
-@@ -6,46 +6,20 @@
+--- ini/pluginpath.ini.orig	Thu Dec 14 15:06:40 2006
++++ ini/pluginpath.ini	Sun Dec 17 14:43:05 2006
+@@ -6,46 +6,22 @@
  plugins=$HOME/.kde/share/config/kcmnspluginrc
  
  [Paths]
@@ -13,7 +13,7 @@
 +%%PREFIX%%/share/opera/plugins=1
 +%%LOCALBASE%%/share/opera/plugins=1
  
- ; Adobe Acrobat
+-; Adobe Acrobat
 -/usr/local/Acrobat7.0/Browsers/intellinux=1
 -/usr/local/Acrobat7/Browsers/intellinux=1
 -/usr/local/Acrobat5/Browsers/intellinux=1
@@ -34,25 +34,31 @@
 -/usr/Acrobat7/Browsers/intellinux=1
 -/usr/Acrobat5/Browsers/intellinux=1
 -/usr/Acrobat4/Browsers/intellinux=1
-+%%X11BASE%%/Acrobat7/Browser/intellinux=1
-+%%LOCALBASE%%/Acrobat5/Browsers/intellinux=1
-+%%LOCALBASE%%/Acrobat4/Browsers/intellinux=1
++; Adobe Reader
++%%X11BASE%%/Adobe/Acrobat7.0/ENU/Browser/intellinux=1
  
- ; Realplayer
+-; Realplayer
 -/usr/lib/RealPlayer8/Plugins=1
 -/usr/lib/realplay/plugins=1
 -/usr/lib/RealPlayer8=1
 -/usr/lib/realplay=1
-+%%LOCALBASE%%/lib/RealPlayer8/Plugins=1
- 
- ; Netscape Plug-in Paths
--$HOME/.netscape6/plugins=1
++; FreeBSD Plug-in Paths
 +%%X11BASE%%/lib/browser_plugins=1
 +%%LOCALBASE%%/lib/browser_plugins=1
- $HOME/.netscape/plugins=1
++%%X11BASE%%/lib/npapi/symlinks/opera=1
++%%LOCALBASE%%/lib/npapi/symlinks/opera=1
++
++; FreeBSD Linux Plug-in Paths
++%%LOCALBASE%%/lib/browser_linux_plugins=1
++%%X11BASE%%/lib/browser_linux_plugins=1
++%%LOCALBASE%%/lib/npapi/symlinks/linux-opera=1
++%%X11BASE%%/lib/npapi/symlinks/linux-opera=1
+ 
+-; Netscape Plug-in Paths
+-$HOME/.netscape6/plugins=1
+-$HOME/.netscape/plugins=1
 -/opt/netscape/plugins=1
 -/usr/lib/netscape/plugins=1
 -/usr/local/netscape/plugins=1
 -/usr/local/lib/netscape/plugins=1
 -$HOME/.kde/.konqueror/nsplugins=1
-+
diff -urN /usr/ports/www/opera/pkg-message opera/pkg-message
--- /usr/ports/www/opera/pkg-message	Tue Jun 20 17:46:20 2006
+++ opera/pkg-message	Sun Dec 17 15:09:32 2006
@@ -1,6 +1,6 @@
 ###########################################################################
 
-Warning: Plugin support on FreeBSD 5.x or higher is only available if you 
-use a version of Opera that uses shared Qt.
+To use Linux plugins such as Adobe Flash and Acrobat Reader, install the
+www/opera-linuxplugins port.
 
 ###########################################################################
diff -urN /usr/ports/www/opera/pkg-plist opera/pkg-plist
--- /usr/ports/www/opera/pkg-plist	Fri Dec  8 20:57:24 2006
+++ opera/pkg-plist	Sun Dec 17 13:53:37 2006
@@ -52,6 +52,9 @@
 %%DATADIR%%/styles/images/bar.png
 %%DATADIR%%/styles/images/center.png
 %%DATADIR%%/styles/images/opera.png
+%%DATADIR%%/styles/images/red_center.png
+%%DATADIR%%/styles/images/red_left.png
+%%DATADIR%%/styles/images/red_right.png
 %%DATADIR%%/styles/images/root.png
 %%DATADIR%%/styles/images/top.png
 %%DATADIR%%/styles/info.css
@@ -67,6 +70,7 @@
 %%DATADIR%%/styles/user/nostalgia.css
 %%DATADIR%%/styles/user/showstructure.css
 %%DATADIR%%/styles/user/textonly.css
+%%DATADIR%%/styles/warning.css
 %%DATADIR%%/styles/wml.css
 %%DATADIR%%/svg-sebd.dat
 %%DATADIR%%/svg-se.dat
Comment 1 Martin Wilke freebsd_committer 2006-12-18 11:01:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Jeremy Messenger 2006-12-18 19:01:38 UTC
Umm, I have a suggest for the opera-linuxplugins. How about you change  
this port to make it as a slave port? It will be using  
www/linux-opera/Makefile, that way you don't have to double same exactly  
Makefile. At the each release of linux-opera, don't worry, I will making  
sure it will not break opera-linuxplugins. If you are not sure for how to  
make it as a slave port, let me know and I will be happy to help you out.

Cheers,
Mezz


-- 
mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team  -  FreeBSD Multimedia Hat (ports, not src)
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
http://wiki.freebsd.org/multimedia  -  multimedia@FreeBSD.org
Comment 3 arjanl 2006-12-19 08:43:53 UTC
Hi mezz,

On Mon, 18 Dec 2006 20:01:38 +0100, Jeremy Messenger <mezz7@cox.net> wrote:

> Umm, I have a suggest for the opera-linuxplugins. How about you change  
> this port to make it as a slave port? It will be using  
> www/linux-opera/Makefile, that way you don't have to double same exactly  
> Makefile. At the each release of linux-opera, don't worry, I will making  
> sure it will not break opera-linuxplugins. If you are not sure for how  
> to make it as a slave port, let me know and I will be happy to help you  
> out.

That sounds like a great idea. But won't that need modifications in your  
port to be able to override the different make variables (PKGNAMEPREFIX,  
RUN_DEPENDS, ...) and the make targets?

Arjan

-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/
Comment 4 Jeremy Messenger 2006-12-19 18:14:43 UTC
On Tue, 19 Dec 2006 02:43:53 -0600, Arjan van Leeuwen <arjanl@opera.com>=
  =

wrote:

> Hi mezz,
>
> On Mon, 18 Dec 2006 20:01:38 +0100, Jeremy Messenger <mezz7@cox.net>  =

> wrote:
>
>> Umm, I have a suggest for the opera-linuxplugins. How about you chang=
e  =

>> this port to make it as a slave port? It will be using  =

>> www/linux-opera/Makefile, that way you don't have to double same  =

>> exactly Makefile. At the each release of linux-opera, don't worry, I =
 =

>> will making sure it will not break opera-linuxplugins. If you are not=
  =

>> sure for how to make it as a slave port, let me know and I will be  =

>> happy to help you out.
>
> That sounds like a great idea. But won't that need modifications in yo=
ur  =

> port to be able to override the different make variables (PKGNAMEPREFI=
X,  =

> RUN_DEPENDS, ...) and the make targets?

Yes, it will need to make some small changes in www/linux-opera. Make a =
 =

few to have ?=3D, also can add SLAVE_LINUXOPERA. Example, add  =

SLAVE_LINUXOPERA=3Dyes in opera-linuxplugins/Makefile then modify in  =

www/linux-opera like this:

.if !defined(SLAVE_LINUXOPERA)
DATADIR=3D	${PREFIX}/share/${UNIQUENAME}
DOCSDIR=3D	${PREFIX}/share/doc/${UNIQUENAME}

MAN1=3D		linux-opera.1

post-patch:
[...goes on...]
.endif

I think that should do... I have a question. If www/opera has 9.01 and I=
  =

happened to update www/linux-opera first to 9.10 then opera-linuxplugins=
  =

will be at 9.10. Will it causing problem for have different versions?

If you feel that a slave port is going to cause some headaches, then go =
 =

with master port.

Cheers,
Mezz

> Arjan


-- =

mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team  -  FreeBSD Multimedia Hat (ports, not src)
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
http://wiki.freebsd.org/multimedia  -  multimedia@FreeBSD.org
Comment 5 Arjan van Leeuwen 2006-12-19 18:26:08 UTC
On Tue, 19 Dec 2006 19:14:43 +0100, Jeremy Messenger <mezz7@cox.net> wro=
te:

> On Tue, 19 Dec 2006 02:43:53 -0600, Arjan van Leeuwen <arjanl@opera.co=
m>  =

> wrote:
>
>> Hi mezz,
>>
>> On Mon, 18 Dec 2006 20:01:38 +0100, Jeremy Messenger <mezz7@cox.net> =
 =

>> wrote:
>>
>>> Umm, I have a suggest for the opera-linuxplugins. How about you chan=
ge  =

>>> this port to make it as a slave port? It will be using  =

>>> www/linux-opera/Makefile, that way you don't have to double same  =

>>> exactly Makefile. At the each release of linux-opera, don't worry, I=
  =

>>> will making sure it will not break opera-linuxplugins. If you are no=
t  =

>>> sure for how to make it as a slave port, let me know and I will be  =

>>> happy to help you out.
>>
>> That sounds like a great idea. But won't that need modifications in  =

>> your port to be able to override the different make variables  =

>> (PKGNAMEPREFIX, RUN_DEPENDS, ...) and the make targets?
>
> Yes, it will need to make some small changes in www/linux-opera. Make =
a  =

> few to have ?=3D, also can add SLAVE_LINUXOPERA. Example, add  =

> SLAVE_LINUXOPERA=3Dyes in opera-linuxplugins/Makefile then modify in  =

> www/linux-opera like this:
>
> .if !defined(SLAVE_LINUXOPERA)
> DATADIR=3D	${PREFIX}/share/${UNIQUENAME}
> DOCSDIR=3D	${PREFIX}/share/doc/${UNIQUENAME}
>
> MAN1=3D		linux-opera.1
>
> post-patch:
> [...goes on...]
> .endif
>
> I think that should do... I have a question. If www/opera has 9.01 and=
 I  =

> happened to update www/linux-opera first to 9.10 then opera-linuxplugi=
ns  =

> will be at 9.10. Will it causing problem for have different versions?
>
> If you feel that a slave port is going to cause some headaches, then g=
o  =

> with master port.

In theory, it's not going to cause any problems. However, since theory !=
=3D  =

practice, and since I don't expect the opera-linuxplugins port to exist =
 =

for long (functionality will be folded into the main FreeBSD package  =

later), I'll go with the original master port for now.

miwi@, commit at will :).

Arjan

-- =

Using Opera's revolutionary e-mail client: http://www.opera.com/mail/
Comment 6 Martin Wilke freebsd_committer 2006-12-21 21:02:37 UTC
State Changed
From-To: open->closed

Committed. Thanks! New Port added Thanks!
Comment 7 dfilter service freebsd_committer 2006-12-21 21:02:52 UTC
miwi        2006-12-21 21:02:45 UTC

  FreeBSD ports repository

  Modified files:
    www/opera            Makefile distinfo pkg-message pkg-plist 
    www/opera/files      patch-ini_pluginpath.ini 
  Log:
  - Update to 9.10
  
  PR:             ports/106860
  Submitted by:   Arjan van Leeuwen <freebsd-maintainer@opera.com> (maintainer)
  
  Revision  Changes    Path
  1.55      +5 -7      ports/www/opera/Makefile
  1.39      +9 -9      ports/www/opera/distinfo
  1.4       +20 -14    ports/www/opera/files/patch-ini_pluginpath.ini
  1.11      +2 -2      ports/www/opera/pkg-message
  1.27      +5 -1      ports/www/opera/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2006-12-21 21:03:13 UTC
miwi        2006-12-21 21:03:06 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/opera-linuxplugins Makefile distinfo pkg-descr 
  Log:
  This port allows you to use Linux plugins such as Adobe Flash and Acrobat
  Reader in the native version of Opera for FreeBSD.
  
  WWW: http://www.opera.com/
  
  PR:             ports/106860
  Submitted by:   Arjan van Leeuwen <freebsd-maintainer at opera.com>
  
  Revision  Changes    Path
  1.1646    +1 -0      ports/www/Makefile
  1.1       +54 -0     ports/www/opera-linuxplugins/Makefile (new)
  1.1       +3 -0      ports/www/opera-linuxplugins/distinfo (new)
  1.1       +4 -0      ports/www/opera-linuxplugins/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"